> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reinstall an app

> Reinstall an app for the given teams.



## OpenAPI

````yaml post /apps/reinstall
openapi: 3.0.0
info:
  title: THENA APPS STUDIO
  description: >-
    Thena apps studio is a comprehensive API suite designed to facilitate the
    creation and management of apps.
  version: '1.0'
  contact: {}
servers:
  - url: https://apps-studio.thena.ai
security: []
tags: []
paths:
  /apps/reinstall:
    post:
      tags:
        - App Reinstallation
      summary: Reinstall an app
      description: Reinstall an app for the given teams.
      operationId: AppReinstallActionController_reinstallApp
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReinstallAppDto'
      responses:
        '400':
          description: Bad Request - Invalid input parameters
        '422':
          description: Bot Installation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BotInstallationException'
        '500':
          description: Internal Server Error
      security:
        - x-api-key: []
components:
  schemas:
    ReinstallAppDto:
      type: object
      properties:
        installationId:
          type: string
          example: 9FKHF3KJ10JQTR2YJ6QW1QZTHBZ85
          description: Unique identifier of the app installation
        appConfiguration:
          description: Configuration settings for the app installation
          allOf:
            - $ref: '#/components/schemas/AppInstallationConfiguration'
      required:
        - installationId
        - appConfiguration
    BotInstallationException:
      type: object
      properties: {}
    AppInstallationConfiguration:
      type: object
      properties:
        required_settings:
          example:
            - check the app manifest for required_settings schema
          description: >-
            Required configuration settings that must be provided for the app
            installation
          type: array
          items:
            type: object
        optional_settings:
          example:
            - check the app manifest for optional_settings schema
          description: Optional configuration settings for the app installation
          type: array
          items:
            type: object
      required:
        - required_settings
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````